resource "digitalocean_spaces_bucket" "enp_cdn" {
  name          = "en2-cdn"
  region        = "nyc3"
  acl           = "public-read"
  force_destroy = false
}

resource "digitalocean_certificate" "enp_cdn" {
  name    = "CDN"
  type    = "lets_encrypt"
  domains = ["cdn.enp.one", "enp.one"]
}

resource "digitalocean_cdn" "enp" {
  origin           = digitalocean_spaces_bucket.enp_cdn.bucket_domain_name
  custom_domain    = "cdn.enp.one"
  certificate_name = digitalocean_certificate.enp_cdn.name
}
